import { useEnumStore } from '@/stores'

const { getEnumTypeName } = useEnumStore()

/**
 * 发票类型
 */
export enum ReceiptType {
    Consumer = 1, // 个人
    Company = 2, // 企业
}

/**
 * 获取发票类型列表
 * @returns 
 */
export function getReceiptTypeList() {
    return [
        { label: '个人', value: ReceiptType.Consumer },
        { label: '企业', value: ReceiptType.Company },
    ]
}

/**
 * 获取发票类型名称
 * @returns 
 */
export function getReceiptTypeName(value: number) {
    return getEnumTypeName(getReceiptTypeList(), value)
}